- entityDefinitions:
  - IDI_Task_CircuitBreaker_View:    '{4c630568-6fd4-45f5-8f8c-5a9b9c95e49e}'
  - IDE_CircuitBreaker_View:        '{44921927-cba3-434e-b90e-d2b1ca828cc0}'

  - IDE_CircuitBreaker_View_Start: '{468d5179-6d18-4600-94e4-3982e04418e2}'
  - IDM_CircuitBreaker_View_Start: '{170f5661-dbd3-46e4-aea1-b5d57c13f26d}'
  - IDM_CircuitBreaker_View: '{43e3bb9a-f61c-43a4-bc7f-be33a6a26adb}'
  - IDMB_CircuitBreaker_View: '{c34ee4bc-3bdd-4bf7-a2a4-1ca4c0564dcb}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_CircuitBreaker_View;'
    name: 'View Circuit Breaker'
    initiatingElement: '&IDE_CircuitBreaker_View_Start;'
    taskCategory: '&IDI_TaskCategory_CircuitBreaker;'
  
  - controlTransactionMethod: '&IDM_CircuitBreaker_View_Start;'
    forClassId: '&IDC_CircuitBreaker;'
    verb: ''
    name: 'Circuit Breaker View Start'
    buildsResponseWithBRMB: '&IDMB_CircuitBreaker_View;'

  - element: '&IDE_CircuitBreaker_View_Start;'
    name: 'View Circuit Breaker Start'
    processedByCTMethod: '&IDM_CircuitBreaker_View_Start;'
    elementContents:
    - globalIdentifier: '{4df1f407-39d4-4281-8038-644f0810f21e}'
      defaultDataType: '&IDE_CircuitBreaker_Select;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
  
  - element: '&IDE_CircuitBreaker_View;'
    name: 'View Circuit Breaker'
    elementContents:
    - globalIdentifier: '{4f4fd8cb-875b-4f66-aaf3-8018f707a8d1}'
      defaultDataType: '&IDC_CircuitBreaker;'
      label: 'Circuit Breaker'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{7468c390-d4bb-41c8-a9a0-e2bc7167b6b6}'
      defaultDataType: '&IDE_CircuitBreaker_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
  
  - buildUIResponseMethod: '&IDM_CircuitBreaker_View;'
    usesExecutableReturningElement: '&IDE_CircuitBreaker_View;'

  - buildResponseMethodBinding: '&IDMB_CircuitBreaker_View;'
    executesMethod: '&IDM_CircuitBreaker_View;'
